Bug 62557 - [patch] WITH_POSTGRES -> WITH_POSTGRESQL across the ports tree
Summary: [patch] WITH_POSTGRES -> WITH_POSTGRESQL across the ports tree
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ade Lovett
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-09 00:00 UTC by Ulrich Spoerlein
Modified: 2004-11-11 23:25 UTC (History)
1 user (show)

See Also:


Attachments
patch (11.52 KB, patch)
2004-02-09 00:00 UTC, Ulrich Spoerlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2004-02-09 00:00:37 UTC
When I started this patch, I thought that WITH_POSTGRESQL was used more often
then WITH_POSTGRES in the ports tree. After finishing half of the patch I did
some tests to make sure, and it looks like WITH_POSTGRES is used in 11
different ports, whereas WITH_POSTGRESQL is used in only 10 different ports.
However, I think that WITH_POSTGRESQL should be favoured, because the
port/product is named/advertised as PostgreSQL ( http://www.postgresql.org/ ).

Therefore I propose this patch.

Even if it won't be committed, there is an error in lang/pike72, which checks
for the existance of libpq.so.2, but depends on libpq.so.3 if WITH_POSTGRES
is defined.
Comment 1 Ade Lovett freebsd_committer 2004-08-31 05:59:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ade

Ties in to ports/71177
Comment 2 Ade Lovett freebsd_committer 2004-11-11 23:25:16 UTC
State Changed
From-To: open->closed

Moving to ports/73843 for repocopy, patch, and exp build run.